## choqok 1.1.5+git20110825

=== libchoqok/CMakeLists.txt ===

include_directories(
${CHOQOK_INCLUDES}
)

set(choqok_LIB_SRCS
application.cpp
plugin.cpp
shortener.cpp
uploader.cpp
account.cpp
microblog.cpp
pluginmanager.cpp
shortenmanager.cpp
accountmanager.cpp
passwordmanager.cpp
mediamanager.cpp
notifymanager.cpp
choqokuiglobal.cpp
choqokid.cpp
choqoktools.cpp
dbushandler.cpp
ui/microblogwidget.cpp
ui/editaccountwidget.cpp
ui/timelinewidget.cpp
ui/postwidget.cpp
ui/choqoktextedit.cpp
ui/composerwidget.cpp
ui/quickpost.cpp
ui/choqokmainwindow.cpp
ui/uploadmediadialog.cpp
ui/textbrowser.cpp
)

if(QtIndicate_FOUND)
    set(choqok_LIB_SRCS ${choqok_LIB_SRCS} indicatormanager.cpp)
    include_directories(${QTINDICATE_INCLUDE_DIRS})
    add_definitions(-DQTINDICATE_BUILD)
endif(QtIndicate_FOUND)

qt4_add_dbus_adaptor( choqok_LIB_SRCS org.kde.choqok.xml dbushandler.h Choqok::DbusHandler ChoqokAdaptor ) 

kde4_add_kcfg_files(choqok_LIB_SRCS
choqokbehaviorsettings.kcfgc
choqokappearancesettings.kcfgc
)

kde4_add_ui_files(choqok_LIB_SRCS ui/uploadmedia_base.ui)

kde4_add_library(choqok SHARED ${choqok_LIB_SRCS})

target_link_libraries(choqok ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KUTILS_LIBS})

if(QtIndicate_FOUND)
       add_definitions(-DXDG_APPS_INSTALL_DIR=${XDG_APPS_INSTALL_DIR})
       target_link_libraries(choqok ${QTINDICATE_LIBRARY})
endif(QtIndicate_FOUND)

set_target_properties(choqok PROPERTIES
VERSION 1.1.0
SOVERSION 1
)

if(MSVC)
    set_target_properties(choqok PROPERTIES
    OUTPUT_NAME libchoqok
    )
endif(MSVC)

install( FILES choqokbehaviorsettings.kcfg choqokappearancesettings.kcfg
         DESTINATION ${KCFG_INSTALL_DIR})

install(TARGETS choqok ${INSTALL_TARGETS_DEFAULT_ARGS})
install( FILES choqokplugin.desktop choqokshortenerplugin.desktop
               choqokuploaderplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

install( FILES
    ${CMAKE_CURRENT_BINARY_DIR}/choqokbehaviorsettings.h
    ${CMAKE_CURRENT_BINARY_DIR}/choqokappearancesettings.h
    application.h
    account.h
    accountmanager.h
    choqok_export.h
    choqokid.h
    choqoktypes.h
    choqokuiglobal.h
    mediamanager.h
    microblog.h
    notifymanager.h
    passwordmanager.h
    plugin.h
    pluginmanager.h
    shortener.h
    uploader.h
    shortenmanager.h
    dbushandler.h
    choqoktools.h
    ui/choqoktextedit.h
    ui/composerwidget.h
    ui/editaccountwidget.h
    ui/choqokmainwindow.h
    ui/microblogwidget.h
    ui/postwidget.h
    ui/quickpost.h
    ui/timelinewidget.h
    ui/uploadmediadialog.h
    ui/textbrowser.h
DESTINATION ${INCLUDE_INSTALL_DIR}/choqok COMPONENT Devel)

=== plugins/CMakeLists.txt ===

add_subdirectory(shorteners)
add_subdirectory(nowlistening)
add_subdirectory(untiny)
add_subdirectory(searchaction)
add_subdirectory(imagepreview)
add_subdirectory(videopreview)
add_subdirectory(uploaders)
add_subdirectory(filter)
add_subdirectory(konqueror)
add_subdirectory(imstatus)
add_subdirectory(translator)
add_subdirectory(quickfilter)
add_subdirectory(betternotify)

=== cmake/modules/CMakeLists.txt ===
# install the cmake files

set(cmakeFiles FindChoqok.cmake FindQJson.cmake FindQtOAuth.cmake FindQtIndicate.cmake)
install( FILES ${cmakeFiles} DESTINATION ${DATA_INSTALL_DIR}/cmake/modules )

=== microblogs/ocs/CMakeLists.txt ===

find_package(LibAttica)

IF(LIBATTICA_FOUND)
    message(STATUS "FOUND LibAttica: Will build OCS plugin")
    include_directories(
    ${CHOQOK_INCLUDES}
    ${LIBATTICA_INCLUDE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    )

    set( choqok_ocs_SRCS
    ocsaccount.cpp
    ocsmicroblog.cpp
    ocsconfigurewidget.cpp
    )

    kde4_add_ui_files(choqok_ocs_SRCS
    ocsconfigurebase.ui
    )

    kde4_add_plugin(choqok_ocs ${choqok_ocs_SRCS})

    target_link_libraries(choqok_ocs ${KDE4_KDEUI_LIBS} ${LIBATTICA_LIBRARIES} choqok)

    # Install

    install(TARGETS choqok_ocs DESTINATION ${PLUGIN_INSTALL_DIR})
    install( FILES choqok_ocs.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

    add_subdirectory(icons)
ELSE(LIBATTICA_FOUND)
    message(WARNING "LibAttica NOT FOUND, won't build OCS plugin")
ENDIF(LIBATTICA_FOUND)

=== plugins/betternotify/CMakeLists.txt ===

include_directories(
${CHOQOK_INCLUDES}
)

########### next target ###############

set( choqok_notify_PART_SRCS mytextbrowser.cpp
notification.cpp
notify.cpp
notifysettings.cpp )

# kde4_add_kcfg_files(choqok_notify_PART_SRCS betternotify.kcfgc )

kde4_add_plugin(choqok_betternotify ${choqok_notify_PART_SRCS})

target_link_libraries(choqok_betternotify ${KDE4_KUTILS_LIBS} ${KDE4_KDEUI_LIBS} choqok)

install(TARGETS choqok_betternotify DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

set( kcm_choqok_notify_PART_SRCS
notifyconfig.cpp
notifysettings.cpp )

kde4_add_ui_files(kcm_choqok_notify_PART_SRCS notifyprefs.ui )

# kde4_add_kcfg_files(kcm_choqok_notify_PART_SRCS betternotify.kcfgc )

kde4_add_plugin(kcm_choqok_betternotify ${kcm_choqok_notify_PART_SRCS})

target_link_libraries(kcm_choqok_betternotify ${KDE4_KDEUI_LIBS} choqok)

install(TARGETS kcm_choqok_betternotify DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

install( FILES choqok_notify.desktop choqok_notify_config.desktop
         DESTINATION ${SERVICES_INSTALL_DIR})

## choqok 1.2

=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -11,4 +11,4 @@
 add_subdirectory(imstatus)
 add_subdirectory(translator)
 add_subdirectory(quickfilter)
-add_subdirectory(betternotify)
+#add_subdirectory(betternotify)

=== debian/changelog ===
choqok (1.2-0ubuntu2) precise; urgency=low

  * Rebuild against libattica0.3.

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 27 Jan 2012 13:28:43 +0100

choqok (1.2-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian
    - debian/rules:
        + Set export KUBUNTU_DESKTOP_POT=extragear-network_choqok.
    - debian/patches/kubuntu_01_consumerkey.diff:
        + Switch to custom Kubuntu OAuth id.
  * Remove kubuntu_02_fix_message_indicator.diff now upstream
  * Enable source format 3.0

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Dec 2011 21:11:31 +0000

choqok (1.1.5+git20110825-1) unstable; urgency=low

  * New upstream version based on 6e30eff0

 -- Noah Meyerhans <noahm@debian.org>  Thu, 25 Aug 2011 23:12:21 -0700

choqok (1.1.5-1) unstable; urgency=low

  * New upstream snapshot based on 680f418 (Closes: 631505)
  * Update standards compliance to 3.9.2.

 -- Noah Meyerhans <noahm@debian.org>  Fri, 29 Jul 2011 08:55:46 -0700

=== debian/control ===
Source: choqok
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
Build-Depends: debhelper (>= 7), cmake, kdelibs5-dev (>= 4:4.3.0), docbook2x,
               cdbs, pkg-kde-tools, libqoauth-dev (>= 1.0-2), libqjson-dev, docbook-xml,
               libattica-dev
Standards-Version: 3.9.2
Homepage: http://choqok.gnufolks.org
Vcs-Browser: http://git.debian.org/?p=collab-maint/choqok.git
Vcs-Git: http://git.debian.org/git/collab-maint/choqok.git

Package: choqok
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqca2-plugin-ossl
Description: KDE micro-blogging client
 Choqok is a fast, efficient and simple to use micro-blogging client for KDE.
 It currently supports the twitter.com and identi.ca microblogging services.
 .
 Other notable features include:
    * Support for user + friends time-lines.
    * Support for @Reply time-lines.
    * Support for sending and receiving direct messages.
    * Twitpic.com integration.
    * The ability to use multiple accounts simultaneously.
    * Support for search APIs for all services.
    * KWallet integration.
    * Support for automatic shortening urls with more than 30 characters.
    * Support for configuring status lists appearance.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export KUBUNTU_DESKTOP_POT=extragear-network_choqok

#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk

DEB_INSTALL_MANPAGES_choqok = choqok.1

build/choqok::
	docbook2x-man debian/choqok.1.docbook

install/choqok::
	rm debian/choqok/usr/lib/*.so

clean::
	rm -f choqok.1

## choqok 1.3

=== debian/changelog ===
choqok (1.3-1ubuntu2) quantal; urgency=low

  * Rebuild against libattica0.4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Sep 2012 12:57:04 +0100

choqok (1.3-1ubuntu1) quantal; urgency=low

  * Merge with Debian, remaining change:
    - Keep kubuntu_01_consumerkey.diff

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 24 May 2012 22:18:38 -0400

choqok (1.3-1) unstable; urgency=low

  * New upstream release.
  * Update standards compliance to 3.9.3.1.

 -- Noah Meyerhans <noahm@debian.org>  Mon, 09 Apr 2012 22:39:53 -0700

choqok (1.2-1) unstable; urgency=low

  * New upstream release.
  * Don't install cmake files.  (Closes: 635990)
  * Use source format 3.0 (quilt)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 05 Jan 2012 23:23:54 -0800

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
 Build-Depends: debhelper (>= 7), cmake, kdelibs5-dev (>= 4:4.3.0), docbook2x,
                cdbs, pkg-kde-tools, libqoauth-dev (>= 1.0-2), libqjson-dev, docbook-xml,
-               libattica-dev
-Standards-Version: 3.9.2
+               libattica-dev (>= 0.4.1)
+Standards-Version: 3.9.3.1
 Homepage: http://choqok.gnufolks.org
 Vcs-Browser: http://git.debian.org/?p=collab-maint/choqok.git
 Vcs-Git: http://git.debian.org/git/collab-maint/choqok.git

## choqok 1.4

=== CMakeLists.txt ===
project(choqok)
cmake_minimum_required(VERSION 2.6)
find_package(KDE4 REQUIRED 4.4)
include (KDE4Defaults)
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
set(CHOQOK_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
set(CHOQOK_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR})

set(CMAKE_MODULE_PATH ${CHOQOK_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

option(QTINDICATE_DISABLE "Disable support for notifications via indicator")

find_package(QJson REQUIRED)
find_package(QCA2 REQUIRED)
find_package(QtOAuth REQUIRED)

if(NOT QTINDICATE_DISABLE)
    find_package(QtIndicate)
    if(QtIndicate_FOUND)
        set(QTINDICATE_BUILD TRUE)
	endif(QtIndicate_FOUND)
endif(NOT QTINDICATE_DISABLE)

if(QTINDICATE_BUILD)
    message(STATUS "Found libindicate-qt: Will support notifications via indicator")
else(QTINDICATE_BUILD)
    message(STATUS "Optional dependency libindicate-qt not found: Won't support notifications via indicator")
endif(QTINDICATE_BUILD)

set(CHOQOK_INCLUDES
${KDE4_INCLUDES}
${QT_INCLUDES}
${QJSON_INCLUDE_DIR}
${QCA2_INCLUDE_DIR}
${QTOAUTH_INCLUDE_DIR}
${CHOQOK_SOURCE_DIR}/helperlibs
${CHOQOK_BINARY_DIR}/helperlibs
${CHOQOK_SOURCE_DIR}/libchoqok/
${CHOQOK_BINARY_DIR}/libchoqok/
${CHOQOK_SOURCE_DIR}/libchoqok/ui/
)

add_subdirectory( libchoqok )
add_subdirectory( helperlibs )
add_subdirectory( choqok )
add_subdirectory( icons )
add_subdirectory( plugins )
add_subdirectory( microblogs )
add_subdirectory( images )
add_subdirectory( cmake )

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( doc )

=== microblogs/laconica/CMakeLists.txt ===

include_directories(
${CHOQOK_INCLUDES}
${CMAKE_CURRENT_BINARY_DIR}
)

set( choqok_laconica_SRCS
laconicaaccount.cpp
laconicamicroblog.cpp
laconicasearch.cpp
laconicaeditaccount.cpp
laconicapostwidget.cpp
laconicacomposerwidget.cpp
laconicaconversationtimelinewidget.cpp
)

kde4_add_ui_files(choqok_laconica_SRCS laconicaeditaccount_base.ui )

kde4_add_plugin(choqok_laconica ${choqok_laconica_SRCS})

target_link_libraries(choqok_laconica ${KDE4_KIO_LIBS} choqok twitterapihelper ${QTOAUTH_LIBRARY})

# Install

install(TARGETS choqok_laconica DESTINATION ${PLUGIN_INSTALL_DIR})
install( FILES choqok_laconica.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

add_subdirectory(icons)

=== plugins/shorteners/goo_gl/CMakeLists.txt ===
include_directories(
${CHOQOK_INCLUDES}
)

set( choqok_goo_gl_SRCS
goo_gl.cpp )

kde4_add_plugin(choqok_goo_gl ${choqok_goo_gl_SRCS})

target_link_libraries(choqok_goo_gl ${KDE4_KIO_LIBS} ${QJSON_LIBRARY} choqok)

install(TARGETS choqok_goo_gl DESTINATION ${PLUGIN_INSTALL_DIR})

install( FILES choqok_goo_gl.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
choqok (1.4-1) unstable; urgency=low

  * New upstream release. (Closes: #723653, #712188)
  * Bump standards compliance to 3.9.4 (no changes)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 23 Sep 2013 11:34:45 -0700

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: choqok
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
+Maintainer: Noah Meyerhans <noahm@debian.org>
 Build-Depends: debhelper (>= 7), cmake, kdelibs5-dev (>= 4:4.3.0), docbook2x,
                cdbs, pkg-kde-tools, libqoauth-dev (>= 1.0-2), libqjson-dev, docbook-xml,
-               libattica-dev (>= 0.4.1)
-Standards-Version: 3.9.3.1
+               libattica-dev
+Standards-Version: 3.9.4
 Homepage: http://choqok.gnufolks.org
 Vcs-Browser: http://git.debian.org/?p=collab-maint/choqok.git
 Vcs-Git: http://git.debian.org/git/collab-maint/choqok.git

## choqok 1.4%2Brepack

=== po/fa/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(fa ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== plugins/shorteners/is_gd/CMakeLists.txt ===
include_directories(
${CHOQOK_INCLUDES}
)

set( choqok_is_gd_SRCS
is_gd.cpp )

kde4_add_kcfg_files(choqok_is_gd_SRCS is_gd_settings.kcfgc )

kde4_add_plugin(choqok_is_gd ${choqok_is_gd_SRCS})

target_link_libraries(choqok_is_gd ${KDE4_KIO_LIBS} ${QJSON_LIBRARY} choqok)

install(TARGETS choqok_is_gd DESTINATION ${PLUGIN_INSTALL_DIR})

install( FILES choqok_is_gd.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
 
########### next target ###############

set( kcm_choqok_is_gd_PART_SRCS
	is_gd_config.cpp )

kde4_add_ui_files(kcm_choqok_is_gd_PART_SRCS is_gd_prefs.ui )

kde4_add_kcfg_files(kcm_choqok_is_gd_PART_SRCS is_gd_settings.kcfgc )

kde4_add_plugin(kcm_choqok_is_gd ${kcm_choqok_is_gd_PART_SRCS})

target_link_libraries(kcm_choqok_is_gd ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS}
	choqok)

install( TARGETS kcm_choqok_is_gd DESTINATION ${PLUGIN_INSTALL_DIR})

install( FILES is_gd_settings.kcfg  DESTINATION ${KCFG_INSTALL_DIR})
install( FILES choqok_is_gd_config.desktop
	         DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/uploaders/imageshack/CMakeLists.txt ===

include_directories(
${CHOQOK_INCLUDES}
)

add_subdirectory(icons)

########### next target ###############

set( choqok_imageshack_PART_SRCS
imageshack.cpp)

# kde4_add_kcfg_files(choqok_imageshack_PART_SRCS imageshacksettings.kcfgc )

kde4_add_plugin(choqok_imageshack ${choqok_imageshack_PART_SRCS})

target_link_libraries(choqok_imageshack ${KDE4_KIO_LIBS} choqok)

install(TARGETS choqok_imageshack DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

install( FILES choqok_imageshack.desktop
         DESTINATION ${SERVICES_INSTALL_DIR})

## choqok 1.4+repack

=== choqok/CMakeLists.txt ===
include(DBusMacros)

include_directories(
${CHOQOK_INCLUDES}
)

add_subdirectory( config )

set(choqok_SRCS 
   choqokapplication.cpp
   mainwindow.cpp
   main.cpp
   systrayicon.cpp
)

# kde4_add_ui_files(choqok_SRCS accounts/accountswidget_base.ui)

# kde4_add_kcfg_files(choqok_SRCS settings.kcfgc )
dbus_add_activation_service(org.kde.choqok.service.in)

kde4_add_app_icon(choqok_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/hi*-app-choqok.png")

kde4_add_executable(choqok_bin ${choqok_SRCS})

set_target_properties(choqok_bin PROPERTIES OUTPUT_NAME choqok)

target_link_libraries(choqok_bin ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS} ${KDE4_KNOTIFYCONFIG_LIBS}
                                 ${KDE4_KIO_LIBS} choqok)

install(TARGETS choqok_bin ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( PROGRAMS choqok.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
# install( FILES choqok.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES choqokui.rc choqok.notifyrc  DESTINATION  ${DATA_INSTALL_DIR}/choqok )

=== helperlibs/CMakeLists.txt ===

add_subdirectory( twitterapihelper )

=== libchoqok/CMakeLists.txt ===
--- 
+++ 
@@ -30,6 +30,7 @@
 ui/choqokmainwindow.cpp
 ui/uploadmediadialog.cpp
 ui/textbrowser.cpp
+ui/choqoktabbar.cpp
 )
 
 if(QtIndicate_FOUND)
@@ -57,7 +58,7 @@
 endif(QtIndicate_FOUND)
 
 set_target_properties(choqok PROPERTIES
-VERSION 1.1.0
+VERSION 1.3.0
 SOVERSION 1
 )
 
@@ -105,4 +106,5 @@
     ui/timelinewidget.h
     ui/uploadmediadialog.h
     ui/textbrowser.h
+    ui/choqoktabbar.h
 DESTINATION ${INCLUDE_INSTALL_DIR}/choqok COMPONENT Devel)

=== microblogs/CMakeLists.txt ===


add_subdirectory(twitter)
add_subdirectory(laconica)
add_subdirectory(ocs)

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(ru)
add_subdirectory(bs)
add_subdirectory(es)
add_subdirectory(fr)
add_subdirectory(nb)
add_subdirectory(fi)
add_subdirectory(hu)
add_subdirectory(mr)
add_subdirectory(uk)
add_subdirectory(zh_CN)
add_subdirectory(pa)
add_subdirectory(it)
add_subdirectory(sv)
add_subdirectory(pt_BR)
add_subdirectory(is)
add_subdirectory(eo)
add_subdirectory(hr)
add_subdirectory(ja)
add_subdirectory(km)
add_subdirectory(sk)
add_subdirectory(ro)
add_subdirectory(et)
add_subdirectory(da)
add_subdirectory(tr)
add_subdirectory(ca@valencia)
add_subdirectory(lt)
add_subdirectory(en_GB)
add_subdirectory(el)
add_subdirectory(nl)
add_subdirectory(pl)
add_subdirectory(cs)
add_subdirectory(ug)
add_subdirectory(ms)
add_subdirectory(ca)
add_subdirectory(sq)
add_subdirectory(de)
add_subdirectory(sl)
add_subdirectory(zh_TW)
add_subdirectory(nds)
add_subdirectory(bg)
add_subdirectory(fa)
add_subdirectory(ga)
add_subdirectory(pt)
add_subdirectory(gl)

=== choqok/config/CMakeLists.txt ===

add_subdirectory(behavior)
add_subdirectory(accounts)
add_subdirectory(appearance)
add_subdirectory(plugins)

=== plugins/filter/CMakeLists.txt ===

include_directories(
${CHOQOK_INCLUDES}
)

set( choqok_filter_PART_SRCS
filter.cpp
configurefilters.cpp
filtersettings.cpp
filtermanager.cpp
addeditfilter.cpp )

kde4_add_ui_files( choqok_filter_PART_SRCS addeditfilter_base.ui filterprefs.ui )

kde4_add_plugin(choqok_filter ${choqok_filter_PART_SRCS})

target_link_libraries(choqok_filter ${KDE4_KIO_LIBS} choqok twitterapihelper)

install(TARGETS choqok_filter DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

install( FILES choqok_filter.desktop
         DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES filterui.rc  DESTINATION  ${DATA_INSTALL_DIR}/choqok_filter )

=== plugins/imstatus/CMakeLists.txt ===

include_directories(
${CHOQOK_INCLUDES}
)

########### next target ###############

set( choqok_imstatus_PART_SRCS imqdbus.cpp
imstatus.cpp )

kde4_add_kcfg_files(choqok_imstatus_PART_SRCS imstatussettings.kcfgc )

kde4_add_plugin(choqok_imstatus ${choqok_imstatus_PART_SRCS})

target_link_libraries(choqok_imstatus ${KDE4_KIO_LIBS} choqok)

install(TARGETS choqok_imstatus DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

set( kcm_choqok_imstatus_PART_SRCS imqdbus.cpp
imstatusconfig.cpp )

kde4_add_ui_files(kcm_choqok_imstatus_PART_SRCS imstatusprefs.ui )

kde4_add_kcfg_files(kcm_choqok_imstatus_PART_SRCS imstatussettings.kcfgc )

kde4_add_plugin(kcm_choqok_imstatus ${kcm_choqok_imstatus_PART_SRCS})

target_link_libraries(kcm_choqok_imstatus ${KDE4_KDEUI_LIBS})

install(TARGETS kcm_choqok_imstatus DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

install( FILES imstatussettings.kcfg  DESTINATION ${KCFG_INSTALL_DIR})
install( FILES choqok_imstatus_config.desktop choqok_imstatus.desktop
         DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/nowlistening/CMakeLists.txt ===

include_directories(
${CHOQOK_INCLUDES}
)

########### next target ###############

set( choqok_nowlistening_PART_SRCS mpris.cpp
nowlistening.cpp )

kde4_add_kcfg_files(choqok_nowlistening_PART_SRCS nowlisteningsettings.kcfgc )

kde4_add_plugin(choqok_nowlistening ${choqok_nowlistening_PART_SRCS})

target_link_libraries(choqok_nowlistening ${KDE4_KIO_LIBS} choqok)

install(TARGETS choqok_nowlistening DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

set( kcm_choqok_nowlistening_PART_SRCS
nowlisteningconfig.cpp )

kde4_add_ui_files(kcm_choqok_nowlistening_PART_SRCS nowlisteningprefs.ui )

kde4_add_kcfg_files(kcm_choqok_nowlistening_PART_SRCS nowlisteningsettings.kcfgc )

kde4_add_plugin(kcm_choqok_nowlistening ${kcm_choqok_nowlistening_PART_SRCS})

target_link_libraries(kcm_choqok_nowlistening ${KDE4_KDEUI_LIBS})

install(TARGETS kcm_choqok_nowlistening DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

install( FILES nowlisteningsettings.kcfg  DESTINATION ${KCFG_INSTALL_DIR})
install( FILES choqok_nowlistening_config.desktop choqok_nowlistening.desktop
         DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES nowlisteningui.rc  DESTINATION  ${DATA_INSTALL_DIR}/choqok_nowlistening )

=== plugins/uploaders/CMakeLists.txt ===

add_subdirectory(twitpic)
add_subdirectory(imageshack)
add_subdirectory(flickr)
add_subdirectory(mobypicture)
add_subdirectory(posterous)
add_subdirectory(twitgoo)

=== po/cs/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(cs ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== choqok/config/appearance/CMakeLists.txt ===

include_directories(
${CHOQOK_INCLUDES}
)

# link_directories(  )


########### next target ###############

set(kcm_choqok_appearanceconfig_PART_SRCS
appearanceconfig.cpp )

kde4_add_ui_files(kcm_choqok_appearanceconfig_PART_SRCS
appearanceconfig_base.ui )

kde4_add_plugin(kcm_choqok_appearanceconfig ${kcm_choqok_appearanceconfig_PART_SRCS})


target_link_libraries(kcm_choqok_appearanceconfig ${KDE4_KUTILS_LIBS} choqok)

install(TARGETS kcm_choqok_appearanceconfig  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES choqok_appearanceconfig.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
choqok (1.4+repack-0ubuntu1) trusty; urgency=medium

  * Use the tar which has translations (LP: #1170609)

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 22 Jan 2014 12:53:37 +0100

choqok (1.4-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. (LP: #1254058) Remaining changes:
    - debian/patches/kubuntu_01_consumerkey.diff:
      + Switch to custom Kubuntu OAuth id.
  * Drop B-D libattica-dev (>= 0.4.1) as trusty got already 0.4.2.
  * Upload fixes:
    - New upstream release. (LP: #1225133)
    - Support Twitter API 1.1. (LP: #1220049)

 -- Artur Rona <ari-tczew@tlen.pl>  Fri, 22 Nov 2013 15:11:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: choqok
 Section: kde
 Priority: optional
-Maintainer: Noah Meyerhans <noahm@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
 Build-Depends: debhelper (>= 7), cmake, kdelibs5-dev (>= 4:4.3.0), docbook2x,
                cdbs, pkg-kde-tools, libqoauth-dev (>= 1.0-2), libqjson-dev, docbook-xml,
                libattica-dev

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-export KUBUNTU_DESKTOP_POT=extragear-network_choqok
-
-#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
+# include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk

## choqok 1.5

=== choqok/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 add_subdirectory( config )
 
-set(choqok_SRCS 
+set(choqok_SRCS
    choqokapplication.cpp
    mainwindow.cpp
    main.cpp
@@ -32,5 +32,6 @@
 ########### install files ###############
 
 install( PROGRAMS choqok.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
+install( FILES choqok.appdata.xml DESTINATION  ${SHARE_INSTALL_PREFIX}/appdata )
 # install( FILES choqok.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
 install( FILES choqokui.rc choqok.notifyrc  DESTINATION  ${DATA_INSTALL_DIR}/choqok )

=== images/CMakeLists.txt ===

########### install files ###############

install(
        FILES
        splash_screen.png
        DESTINATION ${DATA_INSTALL_DIR}/choqok/images
)

=== libchoqok/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
 choqokid.cpp
 choqoktools.cpp
 dbushandler.cpp
+urlutils.cpp
 ui/microblogwidget.cpp
 ui/editaccountwidget.cpp
 ui/timelinewidget.cpp

=== microblogs/CMakeLists.txt ===


add_subdirectory(twitter)
add_subdirectory(laconica)
add_subdirectory(ocs)
add_subdirectory(pumpio)

=== plugins/CMakeLists.txt ===

add_subdirectory(shorteners)
add_subdirectory(nowlistening)
# add_subdirectory(untiny)
add_subdirectory(searchaction)
add_subdirectory(imagepreview)
add_subdirectory(videopreview)
add_subdirectory(uploaders)
add_subdirectory(filter)
add_subdirectory(konqueror)
add_subdirectory(imstatus)
# add_subdirectory(translator)
add_subdirectory(quickfilter)
add_subdirectory(betternotify)
add_subdirectory(longurl)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -47,6 +47,7 @@
 add_subdirectory(ca)
 add_subdirectory(sq)
 add_subdirectory(de)
+add_subdirectory(ia)
 add_subdirectory(sl)
 add_subdirectory(zh_TW)
 add_subdirectory(nds)

=== microblogs/ocs/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 find_package(LibAttica)
 
 IF(LIBATTICA_FOUND)
-    message(STATUS "FOUND LibAttica: Will build OCS plugin")
+    message(STATUS "FOUND LibAttica: Will build \"Open Collaboration Services\" plugin")
     include_directories(
     ${CHOQOK_INCLUDES}
     ${LIBATTICA_INCLUDE_DIR}
@@ -30,5 +30,5 @@
 
     add_subdirectory(icons)
 ELSE(LIBATTICA_FOUND)
-    message(WARNING "LibAttica NOT FOUND, won't build OCS plugin")
+    message(WARNING "Optional dependency \"LibAttica\" NOT FOUND, won't build \"Open Collaboration Services\" plugin")
 ENDIF(LIBATTICA_FOUND)

=== plugins/imagepreview/CMakeLists.txt ===

include_directories(
${CHOQOK_INCLUDES}
)

########### next target ###############

set( choqok_imagepreview_PART_SRCS
imagepreview.cpp )


kde4_add_plugin(choqok_imagepreview ${choqok_imagepreview_PART_SRCS})

target_link_libraries(choqok_imagepreview ${KDE4_KIO_LIBS} choqok)

install(TARGETS choqok_imagepreview DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

install( FILES choqok_imagepreview.desktop
         DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/imstatus/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,9 @@
+find_package(TelepathyQt4)
+
+configure_file(config-imstatus.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-imstatus.h )
 
 include_directories(
+${TELEPATHY_QT4_INCLUDE_DIR}
 ${CHOQOK_INCLUDES}
 )
 
@@ -12,7 +16,7 @@
 
 kde4_add_plugin(choqok_imstatus ${choqok_imstatus_PART_SRCS})
 
-target_link_libraries(choqok_imstatus ${KDE4_KIO_LIBS} choqok)
+target_link_libraries(choqok_imstatus ${KDE4_KIO_LIBS} ${TELEPATHY_QT4_LIBRARIES} choqok)
 
 install(TARGETS choqok_imstatus DESTINATION ${PLUGIN_INSTALL_DIR})
 
@@ -27,7 +31,7 @@
 
 kde4_add_plugin(kcm_choqok_imstatus ${kcm_choqok_imstatus_PART_SRCS})
 
-target_link_libraries(kcm_choqok_imstatus ${KDE4_KDEUI_LIBS})
+target_link_libraries(kcm_choqok_imstatus ${KDE4_KDEUI_LIBS} ${TELEPATHY_QT4_LIBRARIES})
 
 install(TARGETS kcm_choqok_imstatus DESTINATION ${PLUGIN_INSTALL_DIR})

=== plugins/konqueror/CMakeLists.txt ===
#include(DBusMacros)

include_directories(
${CHOQOK_INCLUDES}
)

set(konqchoqokplugin_SRCS konqchoqok.cpp)

kde4_add_plugin(konqchoqokplugin ${konqchoqokplugin_SRCS})

target_link_libraries(konqchoqokplugin ${KDE4_KHTML_LIBS} choqok )

install(TARGETS konqchoqokplugin DESTINATION ${PLUGIN_INSTALL_DIR} )

install(FILES konqchoqok.rc konqchoqok.desktop DESTINATION ${DATA_INSTALL_DIR}/khtml/kpartplugins )

install( FILES choqok_share.desktop DESTINATION ${SERVICES_INSTALL_DIR}/ServiceMenus )
install( FILES choqok_upload.desktop DESTINATION ${SERVICES_INSTALL_DIR}/ServiceMenus )

=== plugins/longurl/CMakeLists.txt ===
find_package(QJSON REQUIRED)

include_directories(
	${CHOQOK_INCLUDES}
	${QJSON_INCLUDE_DIR}
)

set( choqok_longurl_PART_SRCS
longurl.cpp longurl.h)

# kde4_add_kcfg_files(choqok_longurl_PART_SRCS longurlsettings.kcfgc)

kde4_add_plugin(choqok_longurl ${choqok_longurl_PART_SRCS})

target_link_libraries(choqok_longurl ${KDE4_KIO_LIBS} ${QJSON_LIBRARIES} choqok)

install(TARGETS choqok_longurl DESTINATION ${PLUGIN_INSTALL_DIR})
install( FILES choqok_longurl.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/quickfilter/CMakeLists.txt ===
include_directories(
${CHOQOK_INCLUDES}
)

########### next target ###############

set( choqok_quickfilter_PART_SRCS
quickfilter.cpp )


kde4_add_plugin(choqok_quickfilter ${choqok_quickfilter_PART_SRCS})

target_link_libraries(choqok_quickfilter ${KDE4_KIO_LIBS} choqok)

install(TARGETS choqok_quickfilter DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

install( FILES choqok_quickfilter.desktop
         DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES quickfilterui.rc  DESTINATION  ${DATA_INSTALL_DIR}/choqok_quickfilter )

=== debian/changelog ===
choqok (1.5-4ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/kubuntu_01_consumerkey.diff:
      + Switch to custom Kubuntu OAuth id.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 27 Mar 2016 21:55:42 +0200

choqok (1.5-4) unstable; urgency=medium

  * Drop libsoprano-dev as a build dependency, it was a bug in another package
    as stated in #799491.
  * Remove libindicate-qt-dev as a build dependency as it's being dropped from
    the archive (Closes: #811410).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 18 Jan 2016 14:44:50 -0300

choqok (1.5-3) unstable; urgency=medium

  * Add libsoprano-dev as a build dependency. It used to be pulled by some
    other build dependency (Closes: #799491). Thanks Chris Lamb for the
    bug report.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 21 Sep 2015 17:50:36 -0300

choqok (1.5-2ubuntu2) wily; urgency=medium

  * No-change rebuild against libqca2v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 14 Aug 2015 07:07:04 +0200

choqok (1.5-2ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/kubuntu_01_consumerkey.diff: Switch to custom Kubuntu
      OAuth id.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 13 Jun 2015 16:53:53 -0700

choqok (1.5-2) unstable; urgency=medium

  * Upload to unstable, freeze is long over.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 07 Jun 2015 14:25:45 -0300

choqok (1.5-1) experimental; urgency=medium

  * New upstream release.
  * Put myself as Maintainer and Noah as Uplaoder, with Noah's permission.
  * Add libtelepathy-qt4-dev and libindicate-qt-dev as build dependencies, now
    optionals in this version.
  * Switch packaging to dh.
  * Update debian/copyright.
  * Switch Vcs-Browser and Vcs-Git to their canonical values.
  * Update Standards-Version to 3.9.6, no changes required.
  * Switch debian/compat to 9 in order to receive the correct hardening flags.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 26 Jan 2015 18:18:56 -0300

choqok (1.5-0ubuntu1) vivid; urgency=medium

  * Please update choqok to 1.5 (LP: #1415022)

 -- Michael D. Stemle, Jr <themanchicken@gmail.com>  Tue, 27 Jan 2015 15:45:52 +0000

=== debian/control ===
Source: choqok
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Uploaders: Noah Meyerhans <noahm@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               docbook-xml,
               docbook2x,
               kdelibs5-dev (>= 4:4.3.0),
               libattica-dev,
               libqjson-dev,
               libqoauth-dev (>= 1.0-2),
               libtelepathy-qt4-dev,
               pkg-kde-tools
Standards-Version: 3.9.6
Homepage: http://choqok.gnufolks.org
Vcs-Browser: http://anonscm.debian.org/git/collab-maint/choqok.git
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/choqok.git

Package: choqok
Architecture: any
Depends: libqca2-plugin-ossl, ${misc:Depends}, ${shlibs:Depends}
Description: KDE micro-blogging client
 Choqok is a fast, efficient and simple to use micro-blogging client for KDE.
 It currently supports the twitter.com and identi.ca microblogging services.
 .
 Other notable features include:
    * Support for user + friends time-lines.
    * Support for @Reply time-lines.
    * Support for sending and receiving direct messages.
    * Twitpic.com integration.
    * The ability to use multiple accounts simultaneously.
    * Support for search APIs for all services.
    * KWallet integration.
    * Support for automatic shortening urls with more than 30 characters.
    * Support for configuring status lists appearance.

=== debian/watch ===
version=3
http://mirror.umoss.org/download.ospdev.net/choqok/choqok/(\d.\d.\d)/choqok-(.*)\.tar\.bz2 debian uupdate

## choqok 1.6

=== CMakeLists.txt ===
project(choqok)

cmake_minimum_required(VERSION 2.8.12)

find_package(ECM REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(ECMInstallIcons)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)

find_package(Qt5 CONFIG REQUIRED
    Core
    DBus
    Network
    Widgets
)
find_package(KF5 REQUIRED
    ConfigWidgets
    CoreAddons
    DocTools
    I18n
    Emoticons
    GlobalAccel
    GuiAddons
    KCMUtils
    KIO
    Notifications
    NotifyConfig
    Sonnet
    TextWidgets
    Wallet
    WidgetsAddons
    XmlGui
)

#option(QTINDICATE_DISABLE "Disable support for notifications via indicator")

find_package(Qca-qt5 REQUIRED)
find_package(QtOAuth 2.0.1 REQUIRED)

#if(NOT QTINDICATE_DISABLE)
#    find_package(QtIndicate)
#    if(QtIndicate_FOUND)
#        set(QTINDICATE_BUILD TRUE)
#	endif(QtIndicate_FOUND)
#endif(NOT QTINDICATE_DISABLE)

#if(QTINDICATE_BUILD)
#    message(STATUS "Found libindicate-qt: Will support notifications via indicator")
#else(QTINDICATE_BUILD)
#    message(STATUS "Optional dependency libindicate-qt not found: Won't support notifications via indicator")
#endif(QTINDICATE_BUILD)

set(CHOQOK_INCLUDES
${CMAKE_CURRENT_SOURCE_DIR}/libchoqok/
${CMAKE_CURRENT_SOURCE_DIR}/libchoqok/ui
)

add_subdirectory( libchoqok )
add_subdirectory( helperlibs )
add_subdirectory( choqok )
add_subdirectory( icons )
add_subdirectory( plugins )
add_subdirectory( microblogs )
add_subdirectory( images )
add_subdirectory( cmake )

include(ECMOptionalAddSubdirectory)
ecm_optional_add_subdirectory( doc )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== choqok/CMakeLists.txt ===
include(DBusMacros)

include_directories(
    ${CHOQOK_INCLUDES}
)

add_subdirectory(config)

set(choqok_SRCS
   choqokapplication.cpp
   choqokdebug.cpp
   mainwindow.cpp
   main.cpp
   systrayicon.cpp
)

# ki18n_wrap_ui(choqok_SRCS accounts/accountswidget_base.ui)

# kconfig_add_kcfg_files(choqok_SRCS settings.kcfgc)
dbus_add_activation_service(org.kde.choqok.service.in)

add_executable(choqok_bin ${choqok_SRCS})

set_target_properties(choqok_bin PROPERTIES OUTPUT_NAME choqok)

target_link_libraries(choqok_bin
PUBLIC
    Qt5::Core
    Qt5::Widgets
    KF5::ConfigWidgets
    KF5::CoreAddons
    KF5::GlobalAccel
    KF5::I18n
    KF5::KCMUtils
    KF5::Notifications
    KF5::NotifyConfig
    KF5::WidgetsAddons
    KF5::XmlGui
    choqok
)

install(TARGETS choqok_bin ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.choqok.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES org.kde.choqok.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
# install(FILES choqok.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES choqokui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/choqok)
install(FILES choqok.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR}/choqok)

=== doc/CMakeLists.txt ===
add_subdirectory(ca)
add_subdirectory(fr)
add_subdirectory(pt_BR)
add_subdirectory(uk)
add_subdirectory(es)
add_subdirectory(it)
add_subdirectory(nl)
add_subdirectory(pt)
add_subdirectory(de)
add_subdirectory(sv)
add_subdirectory(en)

=== helperlibs/CMakeLists.txt ===
add_subdirectory( gnusocialapihelper )
add_subdirectory( twitterapihelper )

=== libchoqok/CMakeLists.txt ===
include_directories(
    ${CHOQOK_INCLUDES}
)

set(choqok_LIB_SRCS
    application.cpp
    libchoqokdebug.cpp
    plugin.cpp
    shortener.cpp
    uploader.cpp
    account.cpp
    microblog.cpp
    pluginmanager.cpp
    shortenmanager.cpp
    accountmanager.cpp
    passwordmanager.cpp
    mediamanager.cpp
    notifymanager.cpp
    choqokuiglobal.cpp
    choqoktools.cpp
    dbushandler.cpp
    urlutils.cpp
    ui/microblogwidget.cpp
    ui/editaccountwidget.cpp
    ui/timelinewidget.cpp
    ui/postwidget.cpp
    ui/choqoktextedit.cpp
    ui/composerwidget.cpp
    ui/quickpost.cpp
    ui/choqokmainwindow.cpp
    ui/uploadmediadialog.cpp
    ui/textbrowser.cpp
    ui/choqoktabbar.cpp
)

#if(QtIndicate_FOUND)
#    set(choqok_LIB_SRCS ${choqok_LIB_SRCS} indicatormanager.cpp)
#    include_directories(${QTINDICATE_INCLUDE_DIRS})
#    add_definitions(-DQTINDICATE_BUILD)
#endif(QtIndicate_FOUND)

qt5_add_dbus_adaptor(choqok_LIB_SRCS org.kde.choqok.xml dbushandler.h Choqok::DbusHandler ChoqokAdaptor)

kconfig_add_kcfg_files(choqok_LIB_SRCS
    choqokbehaviorsettings.kcfgc
    choqokappearancesettings.kcfgc
)

ki18n_wrap_ui(choqok_LIB_SRCS ui/uploadmedia_base.ui)

add_library(choqok SHARED ${choqok_LIB_SRCS})

target_link_libraries(choqok
PUBLIC
    Qt5::Core
    Qt5::DBus
    Qt5::Widgets
    KF5::ConfigCore
    KF5::Emoticons
    KF5::GuiAddons
    KF5::I18n
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::KCMUtils
    KF5::JobWidgets
    KF5::Notifications
    KF5::SonnetCore
    KF5::TextWidgets
    KF5::XmlGui
    KF5::Wallet
)

#if(QtIndicate_FOUND)
#       add_definitions(-DXDG_APPS_INSTALL_DIR=${XDG_APPS_INSTALL_DIR})
#       target_link_libraries(choqok ${QTINDICATE_LIBRARY})
#endif(QtIndicate_FOUND)

set_target_properties(choqok PROPERTIES
    VERSION 1.3.0
    SOVERSION 1
)

if(MSVC)
    set_target_properties(choqok PROPERTIES OUTPUT_NAME libchoqok)
endif(MSVC)

install(FILES choqokbehaviorsettings.kcfg choqokappearancesettings.kcfg
        DESTINATION ${KCFG_INSTALL_DIR})

install(TARGETS choqok ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES choqokplugin.desktop choqokshortenerplugin.desktop
              choqokuploaderplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/choqokbehaviorsettings.h
    ${CMAKE_CURRENT_BINARY_DIR}/choqokappearancesettings.h
    application.h
    account.h
    accountmanager.h
    choqok_export.h
    choqoktypes.h
    choqokuiglobal.h
    mediamanager.h
    microblog.h
    notifymanager.h
    passwordmanager.h
    plugin.h
    pluginmanager.h
    shortener.h
    uploader.h
    shortenmanager.h
    dbushandler.h
    choqoktools.h
    ui/choqoktextedit.h
    ui/composerwidget.h
    ui/editaccountwidget.h
    ui/choqokmainwindow.h
    ui/microblogwidget.h
    ui/postwidget.h
    ui/quickpost.h
    ui/timelinewidget.h
    ui/uploadmediadialog.h
    ui/textbrowser.h
    ui/choqoktabbar.h
DESTINATION ${INCLUDE_INSTALL_DIR}/choqok COMPONENT Devel)

=== microblogs/CMakeLists.txt ===
find_package(KF5Attica)

add_subdirectory(twitter)
add_subdirectory(laconica)
add_subdirectory(friendica)
add_subdirectory(pumpio)

IF(KF5Attica_FOUND)
    message(STATUS "FOUND LibAttica: Will build \"Open Collaboration Services\" plugin")
    add_subdirectory(ocs)
ELSE(KF5Attica_FOUND)
    message(WARNING "Optional dependency \"LibAttica\" NOT FOUND, won't build \"Open Collaboration Services\" plugin")
ENDIF(KF5Attica_FOUND)

=== plugins/CMakeLists.txt ===
add_subdirectory(betternotify)
add_subdirectory(filter)
add_subdirectory(imagepreview)
add_subdirectory(imstatus)
#add_subdirectory(longurl)
add_subdirectory(nowlistening)
add_subdirectory(quickfilter)
add_subdirectory(searchaction)
add_subdirectory(shorteners)
#add_subdirectory(translator)
add_subdirectory(videopreview)
add_subdirectory(untiny)
add_subdirectory(uploaders)

find_package(KF5Parts)
find_package(KF5WebKit)

IF(KF5WebKit_FOUND AND KF5Parts_FOUND)
    message(STATUS "FOUND KF5::WebKit and KF5::Parts: Will build \"Konqueror Choqok\" plugin")
    add_subdirectory(konqueror)
ELSEIF(KF5WebKit_FOUND AND KF5Parts_FOUND)
    message(WARNING "Optional dependency \"KF5::WebKit\" or \"KF5::Parts\" NOT FOUND, won't build \"Konqueror Choqok\" plugin")
ENDIF(KF5WebKit_FOUND AND KF5Parts_FOUND)

=== cmake/modules/CMakeLists.txt ===
# install the cmake files

set(cmakeFiles FindChoqok.cmake)
install( FILES ${cmakeFiles} DESTINATION ${DATA_INSTALL_DIR}/cmake/modules )

=== doc/ca/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/ca
                          SUBDIR choqok)

=== doc/de/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/de
                          SUBDIR choqok)

=== doc/en/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en
                          SUBDIR choqok)

=== doc/fr/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/fr
                          SUBDIR choqok)

=== debian/changelog ===
choqok (1.6-4) unstable; urgency=medium

  * Replace dependency on libqca2-plugin-ossl with libqca-qt5-2-plugins.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 03 Oct 2019 18:21:48 -0300

choqok (1.6-3) unstable; urgency=medium

  * Update Vcs-[Browser Git] to salsa.debian.org.
  * Add fix_missing_qmap_includes.patch to solve missing includes (Closes:
    #941155). Thanks Helmut Grohne for the bug report.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 Sep 2019 19:34:30 -0300

choqok (1.6-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 30 Aug 2017 19:28:48 -0300

choqok (1.6-1) experimental; urgency=medium

  * Update debian/watch with new URL.
  * New upstream release.
    Switched to KF5, change build dependencies as necessary.
  * Remove disable-longurl-plugin.diff, applied upstream.
  * Build depend upon qoauth >= 2.0.1~1 to ensure we are using the Qt5-based
    version.
  * Fix debian/copyright due to bad copy and paste.
  * Use secure URLs in VCS-[Git Browser].
  * Update Standards-Version to 3.9.8, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 29 Oct 2016 01:07:24 -0300

choqok (1.5-5) unstable; urgency=medium

  * Apply Cyril Brulebois' disable-longurl-plugin.diff to disable longurl
    plugin (Closes: #820812). Thanks a lot!

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 12 Apr 2016 13:49:23 -0300

=== debian/control ===
Source: choqok
Section: kde
Priority: optional
Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Uploaders: Noah Meyerhans <noahm@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               docbook2x,
               extra-cmake-modules,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5doctools-dev,
               libkf5emoticons-dev,
               libkf5globalaccel-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5kcmutils-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5parts-dev,
               libkf5sonnet-dev,
               libkf5textwidgets-dev,
               libkf5wallet-dev,
               libkf5webkit-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libqca-qt5-2-dev,
               libqoauth-dev (>= 2.0.1~1~),
               libtelepathy-qt5-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev
Standards-Version: 3.9.8
Homepage: http://choqok.gnufolks.org
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/choqok
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/choqok.git

Package: choqok
Architecture: any
Depends: libqca-qt5-2-plugins, ${misc:Depends}, ${shlibs:Depends}
Description: KDE micro-blogging client
 Choqok is a fast, efficient and simple to use micro-blogging client for KDE.
 It currently supports the twitter.com and identi.ca microblogging services.
 .
 Other notable features include:
    * Support for user + friends time-lines.
    * Support for @Reply time-lines.
    * Support for sending and receiving direct messages.
    * Twitpic.com integration.
    * The ability to use multiple accounts simultaneously.
    * Support for search APIs for all services.
    * KWallet integration.
    * Support for automatic shortening urls with more than 30 characters.
    * Support for configuring status lists appearance.

## choqok 1.6-1.isreally.1.5

=== debian/changelog ===
choqok (1.6-1.isreally.1.5-4ubuntu2) bionic; urgency=medium

  * No-change rebuild for libqoauth soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2018 13:44:14 +0100

choqok (1.6-1.isreally.1.5-4ubuntu1) zesty; urgency=medium

  * Revert previous merge and keep this package on hold for further
    merging until libqouath transition is fully complete. Hopefully fix
    LP: #1667903.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 05 Apr 2017 12:21:41 +0530

choqok (1.6-1ubuntu1) zesty; urgency=medium

  * Resync on Debian. Remaining change:
    - debian/patches/kubuntu_01_consumerkey.diff:
      + Switch to custom Kubuntu OAuth id.
  * Refresh patch to apply to the current version.
  * Use unversioned oauth as of now as the debian version isnt into
    ubuntu as yet.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 01 Jan 2017 10:37:17 +0530
